Desbordamiento de búfer en traceroute de Sun Solaris 10

SeguridadVirus

Se ha descubierto una vulnerabilidad en el comando traceroute de Sun Solaris 10 que puede ser explotada por usuarios locales maliciosos para realizar escaladas de privilegios en sistemas afectados.

La vulnerabilidad se debe a un error de tratamiento de tamaños de variables en traceroute a la hora de manejarse con las opciones ‘-g’ y ‘-s’ de la línea de comandos. Un atacante local puede explotar esta circunstancia para provocar un desbordamiento de búfer al dar más de 10 parámetros ‘-g’, o para corromper el heap al dar un dato malformado en la opción ‘-s’.

La explotación con éxito de la vulnerabilidad permitiría provocar la ejecución de código arbitrario, con un privilegio adicional al que ya posea que le permite el uso de sockets raw.

Las direcciones para descargar los parches son las siguientes:

* Solaris 10 (sparc)

* Solaris 10 (x86)

Leer la biografía del autor  Ocultar la biografía del autor